From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/mupen64plus-video-glide64mk2/
Date: Sun, 15 Sep 2019 09:51:31 +0000 (UTC) [thread overview]
Message-ID: <1568541076.6f2e8ff1a3e11071273a90a3d965c2c2061daeb4.mgorny@gentoo> (raw)
commit: 6f2e8ff1a3e11071273a90a3d965c2c2061daeb4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 15 09:11:18 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 15 09:51:16 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f2e8ff1
games-emulation/mupen64plus-video-glide64mk2: Bump to 2.5.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../mupen64plus-video-glide64mk2/Manifest | 1 +
.../mupen64plus-video-glide64mk2-2.5.9.ebuild | 89 ++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/games-emulation/mupen64plus-video-glide64mk2/Manifest b/games-emulation/mupen64plus-video-glide64mk2/Manifest
index 54e8d9f9733..8843f4f1c35 100644
--- a/games-emulation/mupen64plus-video-glide64mk2/Manifest
+++ b/games-emulation/mupen64plus-video-glide64mk2/Manifest
@@ -1 +1,2 @@
+DIST mupen64plus-video-glide64mk2-src-2.5.9.tar.gz 498350 BLAKE2B 8378cfc9fe624b3441e290d44d600e30a85393aca5a5a5867fb778a665ea0718ae15ba67ce5b62930cd4feffb7b1ddce88be6434de9791c82a979aa8f022ecd1 SHA512 cc4cce1a1f036cdda0748cf9eb758f21ba08dbe83a2844cf92d3e781102aaa3556934ca01dbae248a2d93c65209932b858988030beaa29395d79df70bf479bd4
DIST mupen64plus-video-glide64mk2-src-2.5.tar.gz 488988 BLAKE2B 7d88125032190906bb39b93ae4c5b92e124a6e151d06e2e0d9650e86ffd3b2c455e30c9d801bbdb46cb3182078dd77fb624e3c80180e83b15f1feb57299ecb7a SHA512 b62620a364ca9e6bf729e5dd07fb84a73745c6533b95468d3f5411c0556824282f760efefea0968b0a9282f77c315bbed8b0b8a59d771893b7fd0f5f24ad725d
diff --git a/games-emulation/mupen64plus-video-glide64mk2/mupen64plus-video-glide64mk2-2.5.9.ebuild b/games-emulation/mupen64plus-video-glide64mk2/mupen64plus-video-glide64mk2-2.5.9.ebuild
new file mode 100644
index 00000000000..fd94816f8e8
--- /dev/null
+++ b/games-emulation/mupen64plus-video-glide64mk2/mupen64plus-video-glide64mk2-2.5.9.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P=${PN}-src-${PV}
+inherit toolchain-funcs
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator, glide64mk2 video plugin"
+HOMEPAGE="https://www.mupen64plus.org/"
+SRC_URI="https://github.com/mupen64plus/${PN}/releases/download/${PV}/${MY_P}.tar.gz"
+
+# TODO: 3dfx licenses
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gles2 hires cpu_flags_x86_sse"
+
+RDEPEND=">=games-emulation/mupen64plus-core-2.5:0=[gles2=]
+ media-libs/libpng:0=
+ media-libs/libsdl2:0=
+ media-libs/libtxc_dxtn
+ sys-libs/zlib:0=
+ virtual/opengl:0=
+ hires? ( dev-libs/boost:0= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ default
+
+ # avoid implicitly appending CPU flags
+ sed -i -e 's:-mmmx::g' -e 's:-msse::g' projects/unix/Makefile || die
+}
+
+src_compile() {
+ MAKEARGS=(
+ # Note: please keep this in sync in all of mupen64plus-* packages
+
+ -C projects/unix
+
+ # this basically means: GNU userspace
+ UNAME=Linux
+
+ # verbose output
+ V=1
+
+ CROSS_COMPILE="${CHOST}-"
+ CC="$(tc-getCC)"
+ CXX="$(tc-getCXX)"
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+ # usual CFLAGS, CXXFLAGS and LDFLAGS are respected
+ # so we can leave OPTFLAGS empty
+ OPTFLAGS=
+
+ # paths, some of them are used at compile time
+ PREFIX=/usr
+ LIBDIR=/usr/$(get_libdir)
+
+ # disable unwanted magic
+ LDCONFIG=:
+ INSTALL_STRIP_FLAG=
+
+ # Package-specific stuff
+
+ # CROSS_COMPILE causes it to look for ${CHOST}-sdl2-config...
+ SDL_CFLAGS="$($(tc-getPKG_CONFIG) --cflags sdl2)"
+ SDL_LDLIBS="$($(tc-getPKG_CONFIG) --libs sdl2)"
+
+ NOSSE=$(usex cpu_flags_x86_sse 0 1)
+ HIRES=$(usex hires 1 0)
+ USE_FRAMESKIPPER=1
+ USE_GLES=$(usex gles2 1 0)
+ # use external lib
+ TXCDXTN=1
+ )
+
+ use amd64 && MAKEARGS+=( HOST_CPU=x86_64 )
+ use x86 && MAKEARGS+=( HOST_CPU=i386 )
+
+ emake "${MAKEARGS[@]}" all
+}
+
+src_install() {
+ emake "${MAKEARGS[@]}" DESTDIR="${D}" install
+ dodoc RELEASE
+}
next reply other threads:[~2019-09-15 9:51 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-09-15 9:51 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-15 10:51 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mupen64plus-video-glide64mk2/ Michał Górny
2024-05-21 15:10 Michał Górny
2022-09-04 12:23 David Seifert
2020-04-05 21:34 James Le Cuirot
2020-04-03 14:57 Andreas Sturmlechner
2019-09-28 5:35 Michał Górny
2019-09-15 9:51 Michał Górny
2019-09-15 9:51 Michał Górny
2019-09-15 9:51 Michał Górny
2016-06-11 20:39 Pacho Ramos
2015-09-01 19:43 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1568541076.6f2e8ff1a3e11071273a90a3d965c2c2061daeb4.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox